# $Revision: 1.5 $, $Date: 2010/03/01 19:19:55 $
%define pkgname nokogiri
Summary:	An HTML, XML, SAX, and Reader parser
Name:		ruby-%{pkgname}
Version:	1.4.1
Release:	1
License:	Ruby's
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	13405908a02c71daf1f302392ffa1507
Patch0:		%{name}-cleanup.patch
URL:		http://nokogiri.rubyforge.org/
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	setup.rb >= 3.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nokogiri is an HTML parser with XPath support for document searching,
CSS3 selector support for document searching, an XML/HTML builder, and
drop in replacement for Hpricot (though not bug for bug).

Nokogiri parses and searches XML/HTML very quickly, and also has
correctly implemented CSS3 selector support as well as XPath support.

It also features an Hpricot compatibility layer to help ease the
change to using correct CSS and XPath. 

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README.rdoc -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

cp /usr/share/setup.rb .

%build
ruby setup.rb config \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rdoc README.rdoc
%attr(755,root,root) %{_bindir}/nokogiri
%{ruby_rubylibdir}/nokogiri*
%{ruby_rubylibdir}/xsd
%{ruby_archdir}/nokogiri*

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Nokogiri
%{ruby_ridir}/XSD

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-nokogiri.spec,v $
Revision 1.5  2010/03/01 19:19:55  baggins
- added ri package

Revision 1.4  2010/03/01 00:21:15  baggins
- racc and rexical are not needed at runtime

Revision 1.3  2010/02/28 19:53:34  baggins
- updated to 1.4.1

Revision 1.2  2008/11/16 22:12:26  ankry
- cosmetics

Revision 1.1  2008/11/16 19:35:38  aredridel
- added
